# whatsapp-web.js 1.2.1-post » Class: GroupNotification

## Properties

author
body
chatId

id
recipientIds
timestamp

type

## Methods

getChat()
getContact()

getRecipients()
reply(content, options)

## new GroupNotification()

Extends
  Base

## Properties

### author string

ContactId for the user that produced the GroupNotification.

### body string

Extra content

### chatId string

ID for the Chat that this groupNotification was sent for.

### id object

ID that represents the groupNotification

### recipientIds Array of string

Contact IDs for the users that were affected by this GroupNotification.

### timestamp number

Unix timestamp for when the groupNotification was created

### type GroupNotificationTypes

GroupNotification type

## Methods

### getChat() → Promise containing Chat

Returns the Chat this groupNotification was sent in

Returns

  `Promise containing Chat`

### getContact() → Promise containing Contact

Returns the Contact this GroupNotification was produced by

Returns

  `Promise containing Contact`

async

### getRecipients() → Promise containing Array of Contact

Returns the Contacts affected by this GroupNotification.

Returns

  `Promise containing Array of Contact`

async

### reply(content, options) → Promise containing Message

Sends a message to the same chat this GroupNotification was produced in.

#### Parameters

Name | Type | Optional | Description
--- | --- | --- | ---
content | (string, MessageMedia, or Location) |  |
options | object |  |

Returns

  `Promise containing Message`